List custom fields
GET/api/v3/_customfield
Possible values for type:
string- a single-line free-form text fieldselect- a dropdown/select box offering a specific set of choicesdate- a datenumber- a number
If the type is select, available choices will be returned in type_opts.
The field attribute is the API field name you can use to populate custom field data onto an object.
For example, if context_str=customer and field=custom_2 then when you create a customer via the REST
API, you would send:
POST /api/v3/customer
{
"company": "Sombra Corporation",
"custom_2": "The Dark Tower"
}
Custom fields are not required, so can be left out of API requests if you do not wish to provide a value.
Request
Responses
- 200
- 400
- 401
- 404
Object was fetched successfully
Bad request
Authentication error
Object not found